<!DOCTYPE html>
<html lang="ru"
      xmlns:layout="http://www.ultraq.net.nz/thymeleaf/layout"
      layout:decorate="~{layout}">
<head>
    <meta charset="UTF-8">
    <title>Update Director</title>
</head>
<body>
<div layout:fragment="content">
    <h3 class="mt-3 mb-3" th:text="'Update ' + ${director.getDirectorsFio()}"></h3>
    <form class="needs-validation" novalidate style="max-width: 50vw" method="POST" th:action="@{/directors/update}" th:object="${directorForm}">
        <input type="hidden" name="id"
               th:value="${director.getId()}">
        <div class="mt-3 row g-2">
            <div class="col-md">
                <div class="form-floating">
                    <input name="directorsFio" th:value="${director.getDirectorsFio()}" type="text" class="form-control" id="directorsFio" placeholder="FIO Director" required>
                    <label for="directorsFio">FIO Director</label>
                    <div class="invalid-feedback">Required field to fill in</div>
                </div>
            </div>
        </div>
        <div class="mt-3 row g-2">
            <div class="col-md">
                <div class="form-floating">
                    <input name="directorsPosition" th:value="${director.getDirectorsPosition()}" type="text" class="form-control" id="directorsPosition" placeholder="Post" required>
                    <label for="directorsPosition">Post</label>
                    <div class="invalid-feedback">Required field to fill in</div>
                </div>
            </div>
        </div>
        <div class="mt-3 row g-2">
            <button type="submit" class="btn btn-primary" onclick="validateForm()">Update</button>
            <button type="button" class="btn btn-secondary" onclick="window.history.back()">Back</button>
        </div>
    </form>
</div>
</body>
</html>